MEMDEL(3pub)

NAME
memdel - remove bytes from beginning of memory block

SYNOPSIS
#include <publib.h>
void *memdel(void *p, size_t size, size_t n);

DESCRIPTION
memdel moves the contents of the block pointed to by p towards the beginning, n steps. The values of the last n bytes of the block are indeterminate.

p must not be a null pointer. size and n may be zero.

RETURN VALUE
memdel returns its first argument.

SEE ALSO
publib(3), strdel(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)